trigger:
- master
resources:
  repositories:
    - repository: self
      type: git
      ref : master
  webhooks:
    - webhook: MyWebhookTrigger          
      connection: MyWebhookConnection 
steps:
# - task: CmdLine@2
#   inputs:
#     script: 'echo hello'
#     failOnStderr: true
- task: CmdLine@2
  inputs:
    script: |
      mkdir copyrepo
      cd copyrepo
      git clone --mirror https://d5zZBz_rxCbMa2qmCbTw@gitlab.com/senthil.s11/hello.git  hello.git
      cd hello.git
      git remote -v  
      git remote set-url origin https://6hpstuielaecv4kg6ognjynrzue2k5fvcgpptjsd3fn5pkmwthtq@dev.azure.com/senthils11/Dockerdemo/_git/Sync%201
      git pull origin  --allow-unrelated-histories
      git push origin  
      exit
- task: PowerShell@2
  inputs:
    targetType: 'inline'
    script: |
      Write-Host Powershell 1
      Write-Host ${{ parameters.MyWebhookTrigger.repositoryName}}
      Write-Host ${{ parameters.MyWebhookTrigger.component.group}}
      Write-Host Powershell 2
#https://d5zZBz_rxCbMa2qmCbTw@gitlab.com/senthil.s11/hello.git
#https://6hpstuielaecv4kg6ognjynrzue2k5fvcgpptjsd3fn5pkmwthtq@dev.azure.com/senthils11/Dockerdemo/_git/Sync%201
